Effect = 
{
	FXType = "NewTrophy",
	PlaysWhilePaused = true,
	Data = 
	{
		-- 0 is infinity
		life = 0,
		
		NewTrophy =
		{
			rotate = -0.1,										--amount to rotate per frame
			initial_scale = { 0.3, 0.3 },					--initial scaling of particles
			scaling_factor = 0.98,							--scaling factor for particles per frame
			modulate = { 255, 255, 255, 255 },			--particle modulate
			secondary_effect = [[]],						--effect to spawn on the first frame
			initial_radius = 40,								--starting radius
			radius_step = 0,									--radius step each frame
			step = 0,											--starting step number
			step_delta = 0.05,								--amound to change step each frame
			
		},
		
		Particles = 
		{
			animation = "DATA:Animations/GUI/trophy/star.anim",
			life = 0.8,
			fade = "quadratic",
		
			--default to background particle
			particle_placement = FXParticle.GUIGROUND
		},
	}
}

--[[
spark_particle = 
{
	animation = "DATA:Animations/GUI/trophy/star.anim",
	life = 0.8,
	fade = "quadratic",

	--default to background particle
	particle_placement = FXParticle.GUIGROUND
}

local elapsed = 0
local circles =
{
  --{ radius = 400, number = 10 },
  { radius = 80, number = 1 },
  { radius = 40, number = 1 },
}

function UpdatePattern( pattern, time_elapsed, particles, root_position, root_object )

	for i in particles:GetParticles() do
          
		i:Rotate( -0.1 )
		i:SetScale( i:GetScale()*0.98 )
                
	end

end

g_step = 0
g_radius = 40

function UpdateSpawn( spawner, time_elapsed, particles, root_position, root_object )

	g_step = g_step + 0.05
	--g_radius = g_radius - 7
	
	if g_radius > 5 then
		local theta = g_step * 2 * 3.14159
		local x = math.cos( theta ) * g_radius
		local y = math.sin( theta ) * g_radius
		
		local pos = Vector2( root_position.x + x, root_position.y + y )
		local particle = spawner:SpawnParticle( "spark_particle", pos )
		particle:SetScale(Vector2( 0.3, 0.3 ) )
		
		local facing = pos - root_position
		if facing:LengthSqr() > 0 then
			facing:Normalize()
		else
			facing = Vector2( 1, 0 )
		end
		
		--particle:SetScale( Vector2(0.6,0.6) )
		particle:SetModulate( Colour(255,255,math.random()*255,255) )
	
	elseif not spawned_child then
	
		--World_CreateEffect( "trophy/explosion", root_position )
		spawned_child = true
		
	end
	
end

Effect = 
{
	FXType = "Custom",
	PlaysWhilePaused = true,
	Data = 
	{
		-- 0 is infinity
		life = 0,
		
	}
}
--]]